cd F:\POLI490\US-counties

*Prepare some death penalty data for some maps

cd F:\POLI490
clear
import excel using Baumgartner-DeathSentences-26Sept2019.xlsx, firstrow
*cd C:\Users\fbaum\Desktop\Oregon-2019\Analyses\ForPresentation\Corrections\
gen DS = 1
gen Execs = 1 if Disposition ==1

collapse (sum) DS Execs (last) state county , by(fips)

joinby fips using Master-county-list.dta, unm(both)
order fips state_fips county_fips STATE state county countystate deathstate84 DS Execs
recode DS (.=0)
recode Execs (.=0)
drop if fips>56999
sort _merge
*This drops cases with unknown counties within a state
drop if _merge==1
drop _merge
drop state
rename STATE state
save temp1.dta, replace

*See the numbers of DS for Oregon for map below
tab1 DS if state=="OR", miss

*Now make some maps
clear
use "F:\POLI490\US-counties\countiesdb.dta"
*Note this has FIPS as a string variable
*create fips = numeric fips variable to match what is in the other database
destring FIPS , gen(fips)
joinby fips using temp1.dta, unm(both)
drop if fips>56999 
drop if _merge==2
recode DS Execs (.=0)
drop state
rename STATE state
*Note some counties have 2 ID's for non-contiguous areas, so don't use this version for frequencies
save DS-Execs-County-mapping.dta, replace

clear
use DS-Execs-County-mapping.dta, replace
drop if state=="HI"
drop if state=="AK"

#delimit ; 
spmap DS using "F:\POLI490\US-counties\countiescoord.dta" , 
id(id) fcolor(Blues)
clmethod(custom) clbreaks(0 0.9 1.9 4.9 9.9 19.9 49.9 99.9 500)
legend(symy(*2) symx(*2) size(*2) position(9) ring(3)) legtitle("Death Sentences")
legorder(lohi) legend(label(2 "Zero") label(3 "One") label(4 "Two to Four") label(5 "Six to 10") label(6 "10 to 19")
label(7 "20 to 49") label(8 "50 to 99") label(9 "100 or more") size(small))
caption("US Counties with Death Sentences, 1972 - 2018.", size(large))
;
graph export US-Map-Counties-DeathSentencesCounty7218.png, width(1950) replace

keep if state=="OR"



#delimit ; 
spmap DS using "F:\POLI490\US-counties\countiescoord.dta" , 
id(id) 
legenda(off)
clmethod(unique)
fcolor(white blue)
ocolor(black)
osize(vthin)
title()
caption("Oregon Counties with Death Sentences, 1972 - 2018.", size(large))
;
graph export OR-Map-Counties-AnyDeathSentence7218.png, width(1950) replace


#delimit ; 
spmap DS using "F:\POLI490\US-counties\countiescoord.dta" , 
id(id) fcolor(Blues)
clmethod(custom) clbreaks(0 0.9 1.9 4.9 9.9 20)
legenda(off)
label(xcoord(LON) ycoord(LAT) label(DS))
caption("Oregon Counties with Death Sentences, 1972 - 2018.", size(large))
;
graph export OR-Map-Counties-DeathSentences7218.png, width(1950) replace


#delimit ; 
spmap DS using "F:\POLI490\US-counties\countiescoord.dta" , 
id(id) fcolor(Blues)
clmethod(custom) clbreaks(0 0.9 1.9 4.9 9.9 20)
legend(symy(*2) symx(*2) size(*2) position(9) ring(3)) legtitle("Death Sentences")
legorder(lohi) legend(label(2 "Zero") label(3 "One") label(4 "Two to Four") label(5 "Six to 10") label(6 "Ten or more") size(small))
label(xcoord(LON) ycoord(LAT) label(COUNTYNAME))
caption("Oregon Counties with Death Sentences, 1972 - 2018.", size(large))
;
graph export OR-Map-Counties-DeathSentencesCountyNames7218.png, width(1950) replace
