*Frank Baumgartner
*April 12, 2019
*Replicate homicides - DS model with capital crimes only


cd H:\POLI490\Regression\

clear
use DS-cap-pop-unempl-pslave-by-county.dta, replace
rename icapital CapHomicides
rename itotalpop Population
rename pop2 PopulationSquared
rename ipoverty PovertyRate
scatter DS CapHomicides
*Same graph made to look better:
#delimit ;
scatter DS CapHomicides, mlstyle(color(gs0)) msymbol(circle) mfcolor(black)  
graphregion(color(white)) ylabel(, nogrid)
legend(off)
ytitle("Death Sentences") 
xtitle("Capital Eligible Homicides")
caption("" , size(small))
title("North Carolina Death Sentences, by County" "by Number of Capital Eligible Homicides")
;

scatter DS Population
scatter DS PopulationSquared
scatter DS PovertyRate
corr DS CapHomicides Population PopulationSquared PovertyRate
reg DS CapHomicides Population PopulationSquared PovertyRate
predict PredDSBasedOnHomPopPov
gen DSdiff1=PredDSBasedOnHomPopPov-DS
sum DSdiff1
gen DSDS = DS

*How good was the prediction from this regression? R-2 is 0.73, what does that look like?
scatter DS PredDSBasedOnHomPopPov

*Let's make this look better, and put labels by the outlier casees
#delimit ;
scatter DS PredDSBasedOnHomPopPov, mlstyle(color(gs0)) msymbol(circle) mfcolor(black) || 
scatter DSDS DS, mlstyle(color(gs0)) connect(line) ms(i) lcolor(black) lwidth(thick)  
graphregion(color(white)) ylabel(, nogrid)
legend(off)
ytitle("Actual") 
xtitle("Predicted")
caption("Prediction based on estimated capital homicides, population, population-squared, and poverty;" "see text for details." , size(small))
title("")
text(2 40 "Fewer than predicted", placement(w) size())
text(38 0 "More than predicted", placement(e) size())
text(34 13.54 "Robeson +19", placement(w) size(vsmall))
text(31 20.76 "Forsyth +9", placement(w) size(vsmall))
text(13 6.84 "Halifax +5", placement(w) size(vsmall))
text(17 10.6 "Onslow +5", placement(w) size(vsmall))
text(28 22.22 "Wake +5", placement(w) size(vsmall))
text(23 24.8 "Cumberland", placement(e) size(vsmall))
text(30 31.7 "Mecklenberg", placement(e) size(vsmall))
text(14 26.82 "Guilford -12", placement(e) size(vsmall))
text(9 19.15 "Durham -9", placement(e) size(vsmall))
text(1 9.11 "Orange -7", placement(e) size(vsmall))
text(7 13.62 "Pitt -6", placement(e) size(vsmall))
;

graph export NC-counties-actual-pred-DS-pop-pov.png, replace width(1950)

*Now let's try the model dropping the variable for poverty rate to see if that was needed

reg DS CapHomicides Population PopulationSquared 
*Note the R-2 went rom about .73 to about .70, so it's pretty similar. Does it change particular cases much?
predict PredDSBasedOnHomPop
gen DSdiff2=PredDSBasedOnHomPop-DS
sum DSdiff2
#delimit ;
scatter DS PredDSBasedOnHomPop, mlstyle(color(gs0)) msymbol(circle) mfcolor(black) || 
scatter DSDS DS, mlstyle(color(gs0)) connect(line) ms(i) lcolor(black) lwidth(thick)  
graphregion(color(white)) ylabel(, nogrid)
legend(off)
ytitle("Actual") 
xtitle("Predicted")
caption("Prediction based on estimated capital homicides, population, population-squared; see text for details." , size(small))
title("")
text(2 40 "Fewer than predicted", placement(w) size())
text(38 0 "More than predicted", placement(e) size())
text(34 11.86 "Robeson +21", placement(w) size(vsmall))
text(31 20.42 "Forsyth +10", placement(w) size(vsmall))
text(13 4.53 "Halifax +7", placement(w) size(vsmall))
text(17 9.61 "Onslow +6", placement(w) size(vsmall))
text(28 19.75 "Wake +7", placement(w) size(vsmall))
text(23 24 "Cumberland", placement(e) size(vsmall))
text(30 34 "Mecklenberg", placement(e) size(vsmall))
text(14 26.24 "Guilford -11", placement(e) size(vsmall))
text(9 19.47 "Durham -9", placement(e) size(vsmall))
text(1 9.25 "Orange -7", placement(e) size(vsmall))
text(4 9.96 "Cabarrus -5", placement(e) size(vsmall))
;

graph export NC-counties-actual-pred-DS-pop.png, replace width(1950)


