*Frank Baumgartner
*POLI 490
*For October 7, 2019

*How to map some data by state, in stata

cd H:\POLI490
clear

*Load a state file with data in it or add it to states.dta

use DeathSentences.dta
gen DS = 1
gen state_fips = floor(fips/1000)
keep state fips state_fips DS
collapse (sum) DS (last) state, by(state_fips)
gsort -DS
joinby state_fips using "H:\POLI490\US-states\states.dta", unm(both)
*Drop the federal government out
drop if state_fips > 56
*add zeros for non-death penalty states
recode DS (.=0) if _merge==2
drop _merge

gen AnyDeathSentence = 0
recode AnyDeathSentence (0=1) if DS>0
gen AtLeast50DeathSentences = 0
recode AtLeast50DeathSentences (0=1) if DS>49
gen AtLeast100DeathSentences = 0
recode AtLeast100DeathSentences (0=1) if DS>99
gen AtLeast250DeathSentences = 0
recode AtLeast100DeathSentences (0=1) if DS>249
gen AtLeast1000DeathSentences = 0
recode AtLeast1000DeathSentences (0=1) if DS>999


#delimit ; 
spmap AnyDeathSentence using "H:\POLI490\US-states\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(white blue )
ocolor(black)
osize(vthin)
title("States with at least one death sentence from 1972 through 2018")
caption("" , size(medium))
;

*OK, that looks ridiculous, so let's get rid of Alaska and Hawaii
drop if st=="HI"
drop if st=="AK"

#delimit ; 
spmap AnyDeathSentence using "H:\POLI490\US-states\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(white blue )
ocolor(black)
osize(vthin)
title("States with at least one death sentence from 1972 through 2018")
caption("" , size(medium))
;
graph export Map-States-AnyDeathSentence.png, width(1950) replace

*Now let's do the same map for > 9 and the other variables we created
*To do that, cut and past the last set of commands and rename the variables accordingly, and the title of the graph.
*Do it several times and rename the file name for the graph that you are exporting

*save all those graphs
*Drop them in a PPT slide show
*Watch the cartoon
