*Frank Baumgartner
*29 Sept 2019
*State Level Legislative and other trends for maps

cd G:\FB\DP\Litigation\Oregon-2019\Analyses\ForPresentation\
clear


clear
use "G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic\states.dta"
joinby state_code using "G:\FB\DP\NC-current\county-state-analyses\census-data\state_fips_codes.dta", unm(both)
drop if state_code > 56
tab _merge
*Make maps showing these groups progressively covering the country

gen ConsistentAbolition = 1 if st =="AK"
replace ConsistentAbolition = 1 if st =="HI"
replace ConsistentAbolition = 1 if st =="IA"
replace ConsistentAbolition = 1 if st =="ME"
replace ConsistentAbolition = 1 if st =="MA"
replace ConsistentAbolition = 1 if st =="MI"
replace ConsistentAbolition = 1 if st =="MN"
replace ConsistentAbolition = 1 if st =="ND"
replace ConsistentAbolition = 1 if st =="RI"
replace ConsistentAbolition = 1 if st =="VT"
replace ConsistentAbolition = 1 if st =="WV"
replace ConsistentAbolition = 1 if st =="WI"

gen AbolishedAfterRoper = 1 if st =="NY"
replace AbolishedAfterRoper = 1 if st =="NJ"
replace AbolishedAfterRoper = 1 if st =="NM"
replace AbolishedAfterRoper = 1 if st =="IL"
replace AbolishedAfterRoper = 1 if st =="CT"
replace AbolishedAfterRoper = 1 if st =="MD"
replace AbolishedAfterRoper = 1 if st =="DE"
replace AbolishedAfterRoper = 1 if st =="WA"
replace AbolishedAfterRoper = 1 if st =="NH"

gen Moratoria = 1 if st =="OR"
replace Moratoria = 1 if st =="CO"
replace Moratoria = 1 if st =="PA"
replace Moratoria = 1 if st =="CA"

gen NoLACExecsin50Years = 1 if st =="ID"
replace NoLACExecsin50Years = 1 if st =="KS"
replace NoLACExecsin50Years = 1 if st =="KY"
replace NoLACExecsin50Years = 1 if st =="MT"
replace NoLACExecsin50Years = 1 if st =="TN"
replace NoLACExecsin50Years = 1 if st =="WY"

gen NoLACExecsin20Years = 1 if st =="AZ"
replace NoLACExecsin20Years = 1 if st =="LA"
replace NoLACExecsin20Years = 1 if st =="NE"
replace NoLACExecsin20Years = 1 if st =="NV"
replace NoLACExecsin20Years = 1 if st =="UT"

gen LT2LACExecsin20Years = 1 if st =="AR"
replace LT2LACExecsin20Years = 1 if st =="DE"
replace LT2LACExecsin20Years = 1 if st =="MO"
replace LT2LACExecsin20Years = 1 if st =="NC"
replace LT2LACExecsin20Years = 1 if st =="SC"
replace LT2LACExecsin20Years = 1 if st =="SD"

gen Group1 = 0
gen Group2 = 0
gen Group3 = 0
gen Group4 = 0
gen Group5 = 0
gen Group6 = 0
recode Group1 (0=1) if ConsistentAbolition==1
recode Group2 (0=1) if ConsistentAbolition==1 | AbolishedAfterRoper==1
recode Group3 (0=1) if ConsistentAbolition==1 | AbolishedAfterRoper==1 | Moratoria==1
recode Group4 (0=1) if ConsistentAbolition==1 | AbolishedAfterRoper==1 | Moratoria==1 | NoLACExecsin50Years==1
recode Group5 (0=1) if ConsistentAbolition==1 | AbolishedAfterRoper==1 | Moratoria==1 | NoLACExecsin50Years==1 | NoLACExecsin20Years==1
recode Group6 (0=1) if ConsistentAbolition==1 | AbolishedAfterRoper==1 | Moratoria==1 | NoLACExecsin50Years==1 | NoLACExecsin20Years==1 | LT2LACExecsin20Years==1

gen NoLACDSin20Years = 1 if Group3 == 1
replace NoLACDSin20Years = 1 if st =="ID"
replace NoLACDSin20Years = 1 if st =="MT"
replace NoLACDSin20Years = 1 if st =="NE"
replace NoLACDSin20Years = 1 if st =="UT"
replace NoLACDSin20Years = 1 if st =="WY"
gen Group7 = 0
recode Group7 (0=1) if NoLACDSin20Years ==1

gen LT2LACDSin20Years = 1 if Group6 == 1
replace LT2LACDSin20Years = 1 if st =="KS"
replace LT2LACDSin20Years = 1 if st =="KY"
replace LT2LACDSin20Years = 1 if st =="IN"
gen Group8 = 0
recode Group8 (0=1) if LT2LACDSin20Years ==1

gen NoAge18DSin20Years = 1 if Group3 == 1
replace NoAge18DSin20Years = 1 if st =="UT"
replace NoAge18DSin20Years = 1 if st =="WY"
replace NoAge18DSin20Years = 1 if st =="CO"
replace NoAge18DSin20Years = 1 if st =="IN"
replace NoAge18DSin20Years = 1 if st =="MT"
replace NoAge18DSin20Years = 1 if st =="KS"
replace NoAge18DSin20Years = 1 if st =="TN"
replace NoAge18DSin20Years = 1 if st =="NE"
replace NoAge18DSin20Years = 1 if st =="AR"
replace NoAge18DSin20Years = 1 if st =="SC"
gen Group9 = 0
recode Group9 (0=1) if NoAge18DSin20Years ==1

gen LACDSTime1 = 0
recode LACDSTime1 (0=1) if st=="AL"
recode LACDSTime1 (0=1) if st=="AZ"
recode LACDSTime1 (0=1) if st=="CA"
recode LACDSTime1 (0=1) if st=="CO"
recode LACDSTime1 (0=1) if st=="CT"
recode LACDSTime1 (0=1) if st=="FL"
recode LACDSTime1 (0=1) if st=="GA"
recode LACDSTime1 (0=1) if st=="KY"
recode LACDSTime1 (0=1) if st=="LA"
recode LACDSTime1 (0=1) if st=="MS"
recode LACDSTime1 (0=1) if st=="MO"
recode LACDSTime1 (0=1) if st=="NV"
recode LACDSTime1 (0=1) if st=="NC"
recode LACDSTime1 (0=1) if st=="OH"
recode LACDSTime1 (0=1) if st=="OK"
recode LACDSTime1 (0=1) if st=="PA"
recode LACDSTime1 (0=1) if st=="TN"
recode LACDSTime1 (0=1) if st=="TX"
recode LACDSTime1 (0=1) if st=="VA"
recode LACDSTime1 (0=1) if st=="WA"
*Note: Federal also

gen LACDSTime2 = 0
recode LACDSTime2 (0=1) if st=="AL"
recode LACDSTime2 (0=1) if st=="AZ"
recode LACDSTime2 (0=1) if st=="CA"
recode LACDSTime2 (0=1) if st=="CO"
recode LACDSTime2 (0=1) if st=="FL"
recode LACDSTime2 (0=1) if st=="LA"
recode LACDSTime2 (0=1) if st=="NV"
recode LACDSTime2 (0=1) if st=="NC"
recode LACDSTime2 (0=1) if st=="OH"
recode LACDSTime2 (0=1) if st=="OR"
recode LACDSTime2 (0=1) if st=="PA"
recode LACDSTime2 (0=1) if st=="TX"

gen LACDSTime3 = 0
recode LACDSTime3 (0=1) if st=="AL"
recode LACDSTime3 (0=1) if st=="AR"
recode LACDSTime3 (0=1) if st=="CA"
recode LACDSTime3 (0=1) if st=="FL"
recode LACDSTime3 (0=1) if st=="NV"
recode LACDSTime3 (0=1) if st=="OH"
recode LACDSTime3 (0=1) if st=="OK"
recode LACDSTime3 (0=1) if st=="TX"
*Note Federal also


tab1 Group* LACDSTime*, miss
*map each category in order
save states-maps-5Oct2019.dta, replace

clear
use states-maps-5Oct2019.dta

drop if st=="HI"
drop if st=="AK"

#delimit ; 
spmap Group1 using "G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(white blue )
ocolor(black)
osize(vthin)
title()
caption("Abolitionist states at the time of Roper (2005) (plus Alaska, Hawaii, and DC): 12 states or equivalents." , size(medium))
;

graph export Map-States-Trends1.png, width(1950) replace


#delimit ; 
spmap Group2 using "G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(white blue )
ocolor(black)
osize(vthin)
title()
caption("States having abolished the death penalty as of 2019: 21 states or equivalents." , size(medium))
;

graph export Map-States-Trends2.png, width(1950) replace

#delimit ; 
spmap Group3 using "G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(white blue )
ocolor(black)
osize(vthin)
title()
caption("States having abolished the death penalty as of 2019, or with a moratorium: 25." , size(medium))
;

graph export Map-States-Trends3.png, width(1950) replace


#delimit ; 
spmap Group4 using "G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(white blue )
ocolor(black)
osize(vthin)
title()
caption("States having abolished the death penalty as of 2019, with a moratorium, or with no LAC execution in 50 years: 32." "(Includes the federal government.)" , size(medium))
;

graph export Map-States-Trends4.png, width(1950) replace


#delimit ; 
spmap Group5 using "G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(white blue )
ocolor(black)
osize(vthin)
title()
caption("States having abolished the death penalty as of 2019, with a moratorium, or with no LAC execution in 20 years: 37." "(Includes the federal government.)" , size(medium))
;

graph export Map-States-Trends5.png, width(1950) replace


#delimit ; 
spmap Group6 using "G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(white blue )
ocolor(black)
osize(vthin)
title()
caption("States having abolished the death penalty as of 2019, with a moratorium, or with one or fewer LAC death sentences in 20 years: 42." "(Includes the federal government.)", size(medium))
;

graph export Map-States-Trends6.png, width(1950) replace

#delimit ; 
spmap Group7 using "G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(white blue )
ocolor(black)
osize(vthin)
title()
caption("States having abolished the death penalty as of 2019, with a moratorium, or with no LAC death sentence in 20 years: 30." , size(medium))
;

graph export Map-States-Trends7.png, width(1950) replace

#delimit ; 
spmap Group8 using "G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(white blue )
ocolor(black)
osize(vthin)
title()
caption("States having abolished the death penalty as of 2019, with a moratorium, or with 1 or fewer LAC death sentences in 20 years: 42." , size(medium))
;

graph export Map-States-Trends8.png, width(1950) replace

#delimit ; 
spmap Group9 using "G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(white blue )
ocolor(black)
osize(vthin)
title()
caption("States having abolished the death penalty as of 2019, with a moratorium, or with no Age-18 death sentences in 20 years: 34." , size(medium))
;

graph export Map-States-Trends9.png, width(1950) replace


#delimit ; 
spmap LACDSTime1 using "G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(blue white  )
ocolor(black)
osize(vthin)
title()
caption("States with LAC death sentences in the first 4 1/2 years after Roper: 21. (Note: Federal Government not shown.)" , size(medium))
;

graph export Map-States-Trends10.png, width(1950) replace

#delimit ; 
spmap LACDSTime2 using "G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(blue white  )
ocolor(black)
osize(vthin)
title()
caption("States with LAC death sentences in the 5-year period starting 10/7/2009: 12. (Note: No Federal cases.)" , size(medium))
;

graph export Map-States-Trends11.png, width(1950) replace


#delimit ; 
spmap LACDSTime3 using "G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic\states_shp.dta", 
id(_ID) 
legenda(off)
clmethod(unique)
fcolor(blue white  )
ocolor(black)
osize(vthin)
title()
caption("States with LAC death sentences in the 5-year period starting 10/7/2014: 9. (Note: Federal Government not shown.)" , size(medium))
;

graph export Map-States-Trends12.png, width(1950) replace

